YPINIT(8)

NAME
ypinit - build and install NIS databases

SYNOPSIS
ypinit -m [domainname]
ypinit -s master_server [domainname]
ypinit -u [domainname]

DESCRIPTION
The ypinit utility is a script which sets up databases on a Network Information Service (NIS) master or slave server.

On a master server, ypinit creates the /var/yp/$DOMAINNAME directory, the /var/yp/ypservers file, and calls /var/yp/Makefile to create and populate an initial set of NIS maps. The maps are created from local source files using the yp_mkdb(8) utility. The utility will prompt the user for a list of servers that support the specified domain; this list is used to populate the ypservers map.

On a slave server, ypinit creates the /var/yp/$DOMAINNAME, populates it with copies of the NIS maps from the master. The maps are obtained from the master using the ypxfr(8) utility. The ypinit utility obtains the list of maps to transfer in one of two ways: if the system is configured as an NIS client and is bound to the master server, ypinit is able to use the ypwhich(1) utility to obtain a list of maps exported by the master server. If the system is not configured as a client of the NIS master, ypinit uses a hardcoded list of maps, some of which may or may not actually exist on the master. The system administrator can edit the ypinit script and modify the map list if necessary. Otherwise, individual maps can be transferred manually from the master using ypxfr(8).

OPTIONS
The ypinit utility supports the following options:

-m [domainname]
    Set up a master server. By default, ypinit sets up a server for the system default domain. The user can override this default by specifying domainname explicitly. Maps are constructed from scratch using local files as templates using the yp_mkdb(8) utility.

-s master_server [domainname]
    Set up a slave server using master_name as the master. Maps are copied from master_server to the slave using ypxfr(8). By default, ypinit sets up a server for the system default domain. The user can override this default by specifying domainname explicitly.

-u [domainname]
    Update the ypservers map on the master server. When a new slave server is added to a domain, its hostname must be added to the ypservers map so that yppush(8) can propagate updates on the master to all of the slaves.

FILES
/etc/bootparams
    Bootparams source file
/etc/ethers
    Ethers data source file
/etc/eui64
    EUI64 data source file
/etc/group
    Group source file
/etc/hosts
    Hostname/IP address source file
/etc/netid
    RPC netid source file
/etc/networks
    Networks source file
/etc/protocols
    Protocols source file
/etc/publickey
    RPC public key/secret key source file
/etc/services
    Services data source file
/etc/shells
    Shells source file
/var/yp/master.passwd
    Passwd database source file
/var/yp/netgroup
    Netgroup data source file
/var/yp/ypservers
    Ypservers source file (generated by ypinit)

SEE ALSO
mknetid(8), revnetgroup(8), yp(8), yp_mkdb(8), yppush(8), ypserv(8), ypxfr(8)

HISTORY
This version of ypinit is based on the ypinit script in OpenBSD. It first appeared in FreeBSD 3.0.

AUTHORS
-nosplit The original script was written by Mats O Jansson <moj@stacken.kth.se>. It was modified for FreeBSD by Bill Paul <wpaul@ctr.columbia.edu>.